## javax.faces.context
Class FacesContextFactory

    java.lang.Object
      javax.faces.context.FacesContextFactory

public abstract class FacesContextFactory
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`FacesContextFactory()`

Method Summary
`abstract FacesContext` `getFacesContext(java.lang.Object context, java.lang.Object request, java.lang.Object response, Lifecycle lifecycle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesContextFactory

    public FacesContextFactory()

Method Detail

### getFacesContext

    public abstract FacesContext getFacesContext(java.lang.Object context,
                                                 java.lang.Object request,
                                                 java.lang.Object response,
                                                 Lifecycle lifecycle)
                                          throws FacesException

  Throws:
    `FacesException`